#version 150

uniform sampler2D heightmapTex;
uniform sampler2D ambientTex;
uniform vec2 offset;
uniform vec2 tileSize;
uniform vec2 resolution;
uniform float texel;

uniform sampler2D noiseTex;

uniform sampler2D levelColorTex;
uniform sampler2DArray detailColorArrayTex;
uniform sampler2DArray detailNrmlArrayTex;

in vec4 texCoord;

out vec4 color0;
out vec4 color1;

void main() {	

	
	vec2 heightMapSize = vec2(1025, 2049); // Replace with your heightmap size
	
	float posx = (offset.x + texCoord.x) / heightMapSize.x * 64 + 0.5;
	float posy = (offset.y + texCoord.y) / heightMapSize.y * 64 + 0.5;
		
	color0 = texture(levelColorTex, vec2(posx, posy));
	color1 = vec4(1.0, 1.0, 1.0, 1.0);
}
